from Soti.IoT.SemanticEngine.Conversions import Converter

print("Loading GenericToZebraMediaSensor Converter")

class GenericToZebraMediaSensor(Converter):
	def Execute(self, myList=[], *args):
		res = ""
		if myList[0] == "None":
			res = "continuous"
		elif myList[0] == "Gap":
			res = "gap/notch"
		elif myList[0] == "Mark":
			res = "mark"
		return res




plugin = GenericToZebraMediaSensor("GenericToZebraMediaSensor")

store.AddConverter(plugin)